Loading...
Searching...
No Matches
lime_ffi_data_struct Struct Reference

an opaque structure holding the lime cpp closure to be used to forward the X3DH server's response to lime More...

## Public Member Functions

| lime_ffi_data_struct (const limeX3DHServerResponseProcess &response)

## Public Attributes

const limeX3DHServerResponseProcess | responseProcess

## Detailed Description

an opaque structure holding the lime cpp closure to be used to forward the X3DH server's response to lime

## Constructor & Destructor Documentation

## lime_ffi_data_struct()

lime_ffi_data_struct::lime_ffi_data_struct | ( | const limeX3DHServerResponseProcess & | response | ) |

inline

## Member Data Documentation

## responseProcess

const limeX3DHServerResponseProcess lime_ffi_data_struct::responseProcess

a callback to forward the response to lib lime

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/lime_ffi.cpp